OpenVDB 13.0.0

Loading...
Searching...
No Matches
LinearOp< T > Struct Template Reference

`#include <openvdb/math/ConjGradient.h>`

## Public Member Functions
| LinearOp (const T &a_, const T *x_, const T *y_, T *out_)
void | operator() (const SizeRange &range) const

## Public Attributes
const T | a
const T * | x
const T * | y
T * | out

## Constructor & Destructor Documentation

## ◆ LinearOp()

template<typename T>

LinearOp | ( | const T & | a_,
|  | const T * | x_,
|  | const T * | y_,
|  | T * | out_ )
| inline

## Member Function Documentation

## ◆ operator()()

template<typename T>

void operator() | ( | const SizeRange & | range | ) | const
| inline

## Member Data Documentation

## ◆ a

template<typename T>

const T a

## ◆ out

template<typename T>

T* out

## ◆ x

template<typename T>

const T * x

## ◆ y

template<typename T>

const T * y